package tool

import (
	"gitea.loveuer.com/yizhisec/packages/logger"
)

func Must(errs ...error) {
	for _, err := range errs {
		if err != nil {
			logger.Panic(err.Error())
		}
	}
}

func MustWithData[T any](data T, err error) T {
	Must(err)
	return data
}
